gnome-user-share crashed with SIGABRT in g_option_context_parse() - needs porting to GTK3

Bug #788714 reported by Eliah Kagan on 2011-05-26
694
This bug affects 77 people
Affects Status Importance Assigned to Milestone
gnome-user-share (Ubuntu)
High
Canonical Desktop Team
Oneiric
High
Canonical Desktop Team

Bug Description

Binary package hint: gnome-user-share

gnome-user-share 2.x crashes in current Oneiric. It needs to be updated to 3.x:

$ /usr/lib/gnome-user-share/gnome-user-share

Gtk-ERROR **: GTK+ 2.x symbols detected. Using GTK+ 2.x and GTK+ 3 in the same process is not supported
aborting...
Abgebrochen

ProblemType: Crash
DistroRelease: Ubuntu 11.10
Package: gnome-user-share 2.30.2-0ubuntu2
ProcVersionSignature: Ubuntu 2.6.39-3.9-generic 2.6.39
Uname: Linux 2.6.39-3-generic i686
Architecture: i386
CrashCounter: 1
Date: Thu May 26 16:12:56 2011
ExecutablePath: /usr/lib/gnome-user-share/gnome-user-share
LiveMediaBuild: Ubuntu 11.10 "Oneiric Ocelot" - Alpha i386 (20110526.1)
ProcCmdline: /usr/lib/gnome-user-share/gnome-user-share
ProcEnviron:
 LANGUAGE=en_US:en
 LANG=en_US.UTF-8
 SHELL=/bin/bash
Signal: 6
SourcePackage: gnome-user-share
StacktraceTop:
 ?? () from /usr/lib/libgtk-x11-2.0.so.0
 g_option_context_parse () from /lib/i386-linux-gnu/libglib-2.0.so.0
 gtk_parse_args () from /usr/lib/libgtk-x11-2.0.so.0
 gtk_init_check () from /usr/lib/libgtk-x11-2.0.so.0
 gtk_init () from /usr/lib/libgtk-x11-2.0.so.0
Title: gnome-user-share crashed with SIGABRT in g_option_context_parse()
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
XsessionErrors:
 (gnome-power-manager:3524): Gtk-WARNING **: Failed to load type module: (null)
 (gnome-power-manager:3524): Gtk-WARNING **: Failed to load type module: (null)
 (gnome-power-manager:3524): Gtk-WARNING **: Failed to load type module: (null)
 (gnome-control-center:3703): Gtk-WARNING **: Failed to load type module: (null)
 (gnome-control-center:3703): Gtk-WARNING **: Failed to load type module: (null)

visibility: private → public
Jean-Baptiste Lallement (jibel) wrote :

I can confirm this crash just after login into a 2d session.

Changed in gnome-user-share (Ubuntu):
importance: Undecided → Medium
status: New → Confirmed

I am able to reproduce this crash on another machine running the Oneiric amd64 20110526.1 daily-live CD.

tags: added: amd64

Today this crash happened again on the same amd64 machine, but with the Oneiric amd64 20110527 live CD, and in a Unity session. Therefore, this bug is not specific to classic desktops.

About twenty minutes later in that same Unity session, bug 789961 occurred (in the indicator-datetime-preferences executable), which is also a SIGABRT in g_option_context_parse(), and which has a very similar looking stack trace. As I surmised in that bug, perhaps the two bugs are really the same bug (in libgtk2.0-0 or libglib2.0-0). Or perhaps they are merely similar bugs where gnome-user-share and indicator-datetime both attempt to use one of those libraries in the same (bad) way.

To clarify, the recurrence was in a unity-2d session, not a regular unity session, so it is still possible that this bug does not occur in 3D graphics accelerated Unity desktops.

tags: added: iso-testing
Paolo Rotolo (paolorotolo) wrote :

I can confirm this bug with Ubuntu Alpha 1 (20110531.1)

@Jean-Baptiste Lallement (or anyone else who knows)
This bug looks like a bug that has previously occurred with PPA-provided GNOME3 in Natty, as reported in bug 738648 and its duplicates (bug 740383, bug 740492, bug 741120, bug 741453, bug 742668, bug 743170, bug 743397, bug 744319, bug 750630, and bug 755598). Bug 738648 was marked Invalid because GNOME3 was not officially part of Natty. Would it be appropriate for me to mark bug 738648 (and its duplicates along with it) as a duplicate of this bug?

Jean-Baptiste Lallement (jibel) wrote :

Setting to high and targeting to Oneiric because it affects all users.

Changed in gnome-user-share (Ubuntu):
importance: Medium → High
Changed in gnome-user-share (Ubuntu Oneiric):
assignee: nobody → Canonical Desktop Team (canonical-desktop-team)

I've now reproduced this bug in a 3d unity session (while running from the Oneiric Alpha 1 i386 live CD).

Rotilio Salvatore (salvy) wrote :

I can confirm this bug with Ubuntu Alpha 1 whit my amd64 (notebook acer extensa dual core 64 bit celeron processor)

Martin Pitt (pitti) on 2011-06-06
description: updated
summary: - gnome-user-share crashed with SIGABRT in g_option_context_parse()
+ gnome-user-share crashed with SIGABRT in g_option_context_parse() -
+ needs porting to GTK3

This bug seems pretty well understood, but in case it's helpful, I've produced a more complete stack trace (showing, among other things, that the crash occurs in the specific function do_pre_parse_initialization()), attached in duplicate bug 793707.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-user-share - 3.0.0-2ubuntu1

---------------
gnome-user-share (3.0.0-2ubuntu1) oneiric; urgency=low

  * Resynchronize on Debian (lp: #788714), Remaining diffs:
  * debian/control:
    - don't Build-depend on scrollkeeper.
    - Suggests the apache2.2-bin and libapache2-mod-dnssd binaries rather than
      depends on those, we want obex push to work out of the box but we don't
      really need webdav and the apache binaries on the default installation.
  * debian/dirs: Dropped, we don't need to create /usr/share/gnome.
  * debian/gconf-defaults: Enable notifications on receipt of files by default
  * debian/patches/01_notification.patch: Display an alert box instead
    of a notification for files received.
  * debian/patches/02_bluetooth_optional.patch: Dropped, it's enables
    Bluetooth support to be configurable at build-time. We don't
    actually use it, it adds a lot of #ifdef's to the code, and requires
    some effort to port it to the new version.
  * debian/patches/04_webdav_optional.patch:
    - De-senstize the WebDAV UI components if the suggested packages are
      not available for WebDAV sharing. Display a notice explaining why sharing
      cannot be enabled.
  * debian/patches/05_autostart_delay.patch:
    - set X-GNOME-Autostart-Delay key to delay starting by 15 seconds.
  * debian/rules:
    - don't move autostart file from etc to usr
    - don't install the Nautilus bar. It's not that useful to people who don't
      have bluetooth hardware and is not easily disabled.
    - use --disable-scrollkeeper

gnome-user-share (3.0.0-2) experimental; urgency=low

  * Require libnotify 0.7.

gnome-user-share (3.0.0-1) experimental; urgency=low

  * New upstream release.
  * Switch to 3.0 quilt format.
  * Use dh-autoreconf.
  * Drop 90_relibtoolize.patch accordingly.
  * 02_bluetooth_optional.patch: updated for the new version.
  * Update build dependencies.
  * preinst: dropped, the fixed version is in stable.
 -- Sebastien Bacher <email address hidden> Tue, 07 Jun 2011 12:38:53 +0200

Changed in gnome-user-share (Ubuntu Oneiric):
status: Confirmed → Fix Released
Rotilio Salvatore (salvy) wrote :

alpha 2 don't crash ... this bug in to my Acer extensa are fixed, alpha 2 passed whit no other crash ... Tanks for good work ...

To post a comment you must log in.